use "undata_rep_fin.dta"

** U.S. Punishment Decision

logit dv4 polity_b allies rgdp trad execL execR novote1 if vote_dv3==0, vce(boot, rep(500) cluster(YEAR)) 

** U.S. Reward Decision

logit dv6 polity_b allies rgdp trad execL execR novote1 if vote_dv3==1, vce(boot, rep(500) cluster(YEAR))
 

** Recipient Vote Choice Stage of Model

logit vote_dv3 polity_b_1a allies_1a rgdp_1a trad_1a execL_1a execR_1a novote1_1a con1_1 polity_b_2 allies_2 rgdp_2 trad_2 execL_2 execR_2 novote1_2 con1_2, noconstant iter(25) vce(bs, reps(500) cl(YEAR)  reject(e(converged)!=1))

